/*
 *  Copyright (C) 1999-2002 Tomasz Kojm <zolw@konarski.edu.pl>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __OTHERS_H
#define __OTHERS_H

#include "pwd.h"
#include "options.h"

void mprintf(const char *str, ...);
int logg(const char *str, ...);
char *gentemp(const char *dir);
int clamav_unpack(const char *prog, char **args, const char *tmpdir, const struct passwd *user, const struct optstruct *opt);
int clamav_rmdirs(const char *dir);
char *getdir(const char *filename);
void *mcalloc(size_t nmemb, size_t size);
void *mmalloc(size_t size);
int strbcasestr(const char *haystack, const char *needle);
int info(const char *filename, int i);
int rndnum(int max);

#ifdef C_LINUX
  unsigned int detectCpu();
#endif

int isnumber(const char *str);
int readaccess(const char *path, const char *username);
int writeaccess(const char *path, const char *username);
int copyfile(const char *src, const char *dest);

#endif
